import java.util.*;

public class DemoCollections
{
    public static void stringListDemo() {
        String[] array = new String[10];
        List<String> list = new ArrayList<>();
        
        list.add("Jan");
        list.add("Petr");
        list.add("Jan");
        list.add(null);
        
        list.addAll(list);
        
        Iterator<String> iter = list.iterator();
        while (iter.hasNext()) {
            String str = iter.next();
            System.out.println(str);
        }
        
        for (String str:list) {
            System.out.println(str);
        }
        
        for (int i = 0; i < list.size(); i++) {
            String str = list.get(i);
        }
    }
    
    public static void stringSetDemo() {
        Set<String> set = new HashSet<>();
        
        set.add("Jan");
        set.add("Petr");
        set.add("Jan");
        set.add(null);
        
        Iterator<String> iter = set.iterator();
        while (iter.hasNext()) {
            String str = iter.next();
            if (str.equals("Jan")) {
                iter.remove();
            }
            //System.out.println(str);
        }
        
        for (String str:set) {
            //if (str.equals("Jan")) {
            //    set.remove(str);
            //}
            System.out.println(str);
        }
    }
    
    public static void demoMap() {
        Map<String,Integer> map = new HashMap<>();
        
        map.put("Jan", 10000);
        map.put("Petr", 20000);
        map.put("Jan", 20000);
    }
}
